> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get automations

GET https://example.itential.io/operations-manager/automations

Searches the Automation collection.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/operations-manager/get-automations

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `contains` (string, optional) — The value for a contains query. if the property with the key of containsField does not have a value that contains this string, then filter out the document
- `containsField` (string, optional) — The field to run a contains query on
- `equals` (string, optional) — The value for an equals query. if the property with the key of equalsField does not have a value that equals this string, then filter out the document
- `equalsField` (string, optional) — The field to run an equals query on
- `startsWith` (string, optional) — The value for a startsWith query. if the property with the key of startsWithField does not have a value that starts with this string, then filter out the document
- `startsWithField` (string, optional) — The field to run a startsWith query on
- `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination.
- `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination.
- `order` (enum, optional, default: 1) — The sort direction: 1 for ascending or -1 for descending.
  - Allowed values: `-1`, `1`
- `sort` (enum, optional, default: name) — Field to sort by. Default is name.
  - Allowed values: `name`

## Response

### 200

The Automations that matched the search query.

- `message` (string, required) — A human-readable message summarizing the result of the operation
- `data` (list of operations-manager_automation-api, required) — Any successfully retrieved information related to the request.
- `metadata` (operations-manager_common-api_pagination-metadata, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### operations-manager_automation-api

An Automation document in API response format.

### operations-manager_common-api_pagination-metadata

Properties describing search result pagination

- `skip` (integer, optional)
- `limit` (integer, optional)
- `total` (integer, optional)
- `nextPageSkip` (integer, optional, nullable)
- `previousPageSkip` (integer, optional, nullable)
- `currentPageSize` (integer, optional)

## Examples

**Response**

```json
{
  "message": "Successfully created the requested item",
  "data": [
    {
      "_id": "string",
      "componentId": "string",
      "componentName": "addDuration",
      "componentType": null,
      "created": "2024-01-15T09:30:00Z",
      "createdBy": "admin@pronghorn",
      "description": "Turn up the port",
      "gbac": {
        "read": [
          "string"
        ],
        "write": [
          "string"
        ]
      },
      "lastUpdated": "2024-01-15T09:30:00Z",
      "lastUpdatedBy": "admin@pronghorn",
      "name": "Cisco IOS upgrade"
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": null,
    "previousPageSkip": null,
    "currentPageSize": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/automations"

querystring = {"contains":"event","containsField":"name","equals":"my event trigger","equalsField":"name","limit":"1","skip":"1","startsWith":"my","startsWithField":"name"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/automations?contains=event&containsField=name&equals=my+event+trigger&equalsField=name&limit=1&skip=1&startsWith=my&startsWithField=name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```